<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ValueRecordsAggregate (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ValueRecordsAggregate (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ValueRecordsAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/WorksheetProtectionBlock.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="ValueRecordsAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.aggregates</div>
    <h2 title="Class ValueRecordsAggregate" class="title">Class ValueRecordsAggregate</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.record.aggregates.ValueRecordsAggregate</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a
                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                            title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">ValueRecordsAggregate</span>
extends java.lang.Object
implements java.lang.Iterable&lt;<a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;</pre>
                <div class="block">Aggregate value records together. Things are easier to handle that way.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>andy, Glen Stampoultzis (glens at apache.org), Jason Height (jheight at chariot dot net dot
                        au)
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#ValueRecordsAggregate--">ValueRecordsAggregate</a></span>()</code>
                                    <div class="block">Creates a new instance of ValueRecordsAggregate</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#addMultipleBlanks-org.apache.poi.hssf.record.MulBlankRecord-">addMultipleBlanks</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                        title="class in org.apache.poi.hssf.record">MulBlankRecord</a>&nbsp;mbr)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#construct-org.apache.poi.hssf.record.CellValueRecordInterface-org.apache.poi.hssf.model.RecordStream-org.apache.poi.hssf.record.aggregates.SharedValueManager-">construct</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;rec,
                                    <a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                       title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                       title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;sfh)</code>
                                    <div class="block">Processes a single cell value record</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#getFirstCellNum--">getFirstCellNum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#getLastCellNum--">getLastCellNum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#getPhysicalNumberOfCells--">getPhysicalNumberOfCells</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#getRowCellBlockSize-int-int-">getRowCellBlockSize</a></span>(int&nbsp;startRow,
                                    int&nbsp;endRow)</code>
                                    <div class="block">Tallies a count of the size of the cell records
                                        that are attached to the rows in the range specified.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#insertCell-org.apache.poi.hssf.record.CellValueRecordInterface-">insertCell</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#iterator--">iterator</a></span>()</code>
                                    <div class="block">value iterator</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#removeAllCellsValuesForRow-int-">removeAllCellsValuesForRow</a></span>(int&nbsp;rowIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#removeCell-org.apache.poi.hssf.record.CellValueRecordInterface-">removeCell</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#rowHasCells-int-">rowHasCells</a></span>(int&nbsp;row)</code>
                                    <div class="block">Returns true if the row has cells attached to it</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#updateFormulasAfterRowShift-org.apache.poi.ss.formula.FormulaShifter-int-">updateFormulasAfterRowShift</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;shifter,
                                    int&nbsp;currentExternSheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#visitCellsForRow-int-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitCellsForRow</a></span>(int&nbsp;rowIndex,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                       title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ValueRecordsAggregate--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ValueRecordsAggregate</h4>
                                <pre>public&nbsp;ValueRecordsAggregate()</pre>
                                <div class="block">Creates a new instance of ValueRecordsAggregate</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="insertCell-org.apache.poi.hssf.record.CellValueRecordInterface-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertCell</h4>
                                <pre>public&nbsp;void&nbsp;insertCell(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="removeCell-org.apache.poi.hssf.record.CellValueRecordInterface-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeCell</h4>
                                <pre>public&nbsp;void&nbsp;removeCell(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="removeAllCellsValuesForRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeAllCellsValuesForRow</h4>
                                <pre>public&nbsp;void&nbsp;removeAllCellsValuesForRow(int&nbsp;rowIndex)</pre>
                            </li>
                        </ul>
                        <a name="getPhysicalNumberOfCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPhysicalNumberOfCells</h4>
                                <pre>public&nbsp;int&nbsp;getPhysicalNumberOfCells()</pre>
                            </li>
                        </ul>
                        <a name="getFirstCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstCellNum</h4>
                                <pre>public&nbsp;int&nbsp;getFirstCellNum()</pre>
                            </li>
                        </ul>
                        <a name="getLastCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastCellNum</h4>
                                <pre>public&nbsp;int&nbsp;getLastCellNum()</pre>
                            </li>
                        </ul>
                        <a name="addMultipleBlanks-org.apache.poi.hssf.record.MulBlankRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addMultipleBlanks</h4>
                                <pre>public&nbsp;void&nbsp;addMultipleBlanks(<a
                                        href="../../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                        title="class in org.apache.poi.hssf.record">MulBlankRecord</a>&nbsp;mbr)</pre>
                            </li>
                        </ul>
                        <a name="construct-org.apache.poi.hssf.record.CellValueRecordInterface-org.apache.poi.hssf.model.RecordStream-org.apache.poi.hssf.record.aggregates.SharedValueManager-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>construct</h4>
                                <pre>public&nbsp;void&nbsp;construct(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;rec,
                      <a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                         title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs,
                      <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                         title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;sfh)</pre>
                                <div class="block">Processes a single cell value record</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sfh</code> - used to resolve any shared-formulas/arrays/tables for the
                                        current sheet
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowCellBlockSize-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowCellBlockSize</h4>
                                <pre>public&nbsp;int&nbsp;getRowCellBlockSize(int&nbsp;startRow,
                               int&nbsp;endRow)</pre>
                                <div class="block">Tallies a count of the size of the cell records
                                    that are attached to the rows in the range specified.
                                </div>
                            </li>
                        </ul>
                        <a name="rowHasCells-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>rowHasCells</h4>
                                <pre>public&nbsp;boolean&nbsp;rowHasCells(int&nbsp;row)</pre>
                                <div class="block">Returns true if the row has cells attached to it</div>
                            </li>
                        </ul>
                        <a name="visitCellsForRow-int-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visitCellsForRow</h4>
                                <pre>public&nbsp;void&nbsp;visitCellsForRow(int&nbsp;rowIndex,
                             <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</pre>
                            </li>
                        </ul>
                        <a name="updateFormulasAfterRowShift-org.apache.poi.ss.formula.FormulaShifter-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateFormulasAfterRowShift</h4>
                                <pre>public&nbsp;void&nbsp;updateFormulasAfterRowShift(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;shifter,
                                        int&nbsp;currentExternSheetIndex)</pre>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;&nbsp;iterator()</pre>
                                <div class="block">value iterator</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                            title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ValueRecordsAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/WorksheetProtectionBlock.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="ValueRecordsAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
